h1 {
    margin-top: 0;
}

.group {
    padding: 0 3px;
}

p.group {
    font-style: italic;
    margin-bottom: 3px;
}

ul.games {
    justify-content: center;
}

fieldset {
    box-sizing: border-box;
    height: calc(100% - 2px);
    margin: 1px;
    position: relative;
}

fieldset.game {
    display: flex;
    flex-direction: column;
}

fieldset h3 {
    border-top-right-radius: 4px;
    height: 20px;
    line-height: 20px;
    margin-top: 0;
}

fieldset h3:before {
    float: left;
    margin-left: 2px;
    vertical-align: top !important;
}

.descrip {
    font-style: italic;
    margin-bottom: 3px;
}

fieldset .view {
    border-bottom: none;
    border-radius: 3px;
    line-height: 18px;
    text-align: center;
}

fieldset .view:hover {
    color: inherit;
    opacity: 0.9;
}

fieldset .view:active {
    margin: 1px 0 1px 1px;
    width: calc(100% - 1px);
}

/* Dates */
.opens,
.closes {
    font-style: italic;
    height: 16px;
    line-height: 16px;
    text-align: center;
    width: 100%;
}

.opens {
    border-radius: 0 0 3px 3px;
}

.closes {
    border-radius: 3px;
    margin: auto 0 2px;
}

.closes + .bottom {
    margin: 0 !important;
}

/* Selections */
.sel {
    margin-bottom: 2px;
    min-height: 98px;
    position: relative;
    width: 300px;
}

.sel h3 {
    margin-bottom: 2px;
}

.sel h3.period span.flag_right:after {
    margin-top: 4px;
    vertical-align: top;
}

.sel li:not(.mugshot) {
    margin-left: 52px;
    text-align: center;
    width: calc(100% - 52px);
}

.sel li.name,
.sel li.info,
.sel li.lock {
    line-height: 18px;
}

.sel li.name span.icon:before,
.sel li.info span.icon:before,
.sel li.lock span.icon:before {
    margin-top: 1px;
    vertical-align: top;
}

.sel li.name span.flag_right:after,
.sel li.info span.flag_right:after {
    margin-top: 3px;
    vertical-align: top;
}

.sel li.info {
    margin-bottom: 2px;
    margin-top: 2px;
}

.sel li.info,
.sel li.info span,
.sel li.lock {
    height: 18px;
    line-height: 18px;
    text-align: center;
}

.sel li.info span {
    display: inline-block;
}

.sel li.info span:before {
    margin-left: 3px;
}

.sel span.info,
.sel span.info span {
    display: inline-block;
}

.sel li.result div {
    float: left;
    width: calc(50% - 1px);
}

.sel li.result div.outcome {
    margin-right: 1px;
}

.sel li.result div.score {
    margin-left: 1px;
}

.sel li.result span {
    font-size: 18px;
    font-weight: bold;
    line-height: 24px;
}

.sel li.result span.positive {
    color: #008800;
}

.sel li.result span.neutral {
    color: #333333;
}

.sel li.result span.negative {
    color: #cc0000;
}

.sel li.result h3 {
    border-radius: 0;
}

/* Player Progress */
h3.progress {
    border-top-left-radius: 4px;
    margin-bottom: 2px;
}

ul.progress {
    margin-bottom: 2px;
}

ul.progress li:not(.target) span.name {
    color: #ffffff;
}

@media only screen and (min-width: 481px) {
    .game-detail {
        display: flex;
        justify-content: center;
    }

    .sel h3.period {
        border-radius: 4px 0 0;
    }

    div.sel + div.progress {
        margin-left: 2px;
        width: calc(100% - 302px);
    }

    div.sel + div.progress h3.progress {
        border-top-left-radius: 0;
    }
}

@media only screen and (min-width: 481px) and (max-width: 1001px) {
    div.sel {
        min-width: 300px;
        width: 50%;
    }

    div.sel + div.progress {
        max-width: calc(100% - 302px);
        width: calc(50% - 2px);
    }
}

@media only screen and (max-width: 480px) {
    .sel,
    div.sel + div.progress {
        width: 100%;
    }

    .sel h3.period {
        border-top-left-radius: 4px;
    }
}

/* Game Actions */
.game-action-container,
.game-action,
.game-action li {
    height: 21px;
}

.game-action-container {
    margin-bottom: 2px !important;
}

.game-action {
    bottom: 23px;
    position: absolute;
    width: calc(100% - 6px);
}

.game-action li {
    float: left;
}

.game-action .label {
    border-radius: 3px 0 0 3px;
    line-height: 21px;
    width: calc(100% - 52px);
}

.game-action .action {
    margin-left: 2px;
}

.game-action .action,
.game-action .action button {
    width: 50px;
}

.game-action.processing .label {
    width: calc(100% - 92px);
}

.game-action.processing .action,
.game-action.processing .action button {
    width: 90px;
}

.game-action .action-status {
    height: 16px;
    left: -2px;
    line-height: 16px;
    position: relative;
    text-align: center;
    top: -22px;
    width: calc(100% - 27px);
}

.game-action .action-status:before {
    left: 3px;
    position: absolute;
}

/* Common */
.bottom {
    margin-top: auto !important;
}

/* Record Holder */
.holders {
    margin-bottom: 2px !important;
    min-height: 65px;
    position: relative;
}

.holders li {
    float: left;
}

.holders li:not(.mugshot) {
    margin-left: 53px;
    width: calc(100% - 53px);
}

.label {
    border-radius: 3px 3px 0 0;
    font-weight: bold;
    height: 16px;
    line-height: 16px;
    text-align: center;
}

.mugshot,
.mugshot img {
    width: 50px;
}

.mugshot {
    left: 0;
    margin-right: 3px;
    position: absolute;
}

.mugshot img {
    height: 65px;
}

.multi:before {
    content: "\2666";
    display: inline-block;
    padding-right: 3px;
}
